classification
Title: fix test_distutils failures for Windows ARM64
Type: enhancement Stage: resolved
Components: Tests, Windows Versions: Python 3.9, Python 3.8
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Paul Monson, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2019-06-07 20:47 by Paul Monson, last changed 2019-06-27 20:37 by Paul Monson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13902 merged Paul Monson, 2019-06-07 20:55
PR 14023 merged miss-islington, 2019-06-12 17:21
Messages (3)
msg345008 - (view) Author: Paul Monson (Paul Monson) * Date: 2019-06-07 20:47
There are a few places where ARM64 is not correctly specified in order for distutils to work for on-target builds using Visual Studio (32-bit x86 emulation).
msg345388 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-06-12 17:16
New changeset daf62627518ad97ce66a48c49496aa0573cf0731 by Steve Dower (Paul Monson) in branch 'master':
bpo-37201: fix test_distutils failures for Windows ARM64 (GH-13902)
https://github.com/python/cpython/commit/daf62627518ad97ce66a48c49496aa0573cf0731
msg345391 - (view) Author: miss-islington (miss-islington) Date: 2019-06-12 17:44
New changeset bb3e8a68b2554b2bd94cf0cd9a0311f4561c1a25 by Miss Islington (bot) in branch '3.8':
bpo-37201: fix test_distutils failures for Windows ARM64 (GH-13902)
https://github.com/python/cpython/commit/bb3e8a68b2554b2bd94cf0cd9a0311f4561c1a25
History
Date User Action Args
2019-06-27 20:37:43Paul Monsonsetstatus: open -> closed
stage: patch review -> resolved
2019-06-12 17:44:50miss-islingtonsetnosy: + miss-islington
messages: + msg345391
2019-06-12 17:21:18miss-islingtonsetpull_requests: + pull_request13889
2019-06-12 17:16:54steve.dowersetmessages: + msg345388
2019-06-07 20:55:24Paul Monsonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13777
2019-06-07 20:47:57Paul Monsoncreate